Name:           python-manuel
Version:        1.5.0
Release:        2%{?dist}
Summary:        Build tested documentation

Group:          Development/Libraries
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/manuel
Source0:        http://pypi.python.org/packages/source/m/manuel/manuel-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-zope-testing
BuildRequires:  python2-devel

%description
Manuel lets you mix and match traditional doctests with custom test
syntax.  Several plug-ins are included that provide new test syntax.
You can also create your own plug-ins.

%prep
%setup -q -n manuel-%{version}

%build
%{__python} setup.py build

# Build the documentation, then remove leftover build files
sphinx-build -c sphinx src docs
rm -fr docs/.buildinfo docs/.doctrees

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Remove text files that are included as HTML in docs
rm -f $RPM_BUILD_ROOT%{python_sitelib}/manuel/*.txt

%check
%{__python} setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt docs
%{python_sitelib}/*

%changelog
* Wed Apr 27 2011 Jerry James <loganjerry@gmail.com> - 1.5.0-2
- Do not Require python-zope-testing
- Change Group to Development/Libraries
- Remove text files from python_sitelib; they are already in docs

* Tue Apr 26 2011 Jerry James <loganjerry@gmail.com> - 1.5.0-1
- Initial RPM
